Bug 208939 - "Search and process" does not work anymore
Summary: "Search and process" does not work anymore
Status: RESOLVED FIXED
Alias: None
Product: skrooge
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Compiled Sources Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Stephane MANKOWSKI
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-30 03:55 UTC by Médéric Boquien
Modified: 2009-10-06 12:12 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Médéric Boquien 2009-09-30 03:55:08 UTC
Version:            (using KDE 4.3.1)
OS:                Linux
Installed from:    Compiled From Sources

Apparently "Search and process" does not work anymore. The list of searches is displayed. When i double on a search, it opens a tab with the correct operations selected. However, when i click on Execute, the processing is not performed.

SVN revision 1029452.

Thanks.
Comment 1 Stephane MANKOWSKI 2009-09-30 20:25:53 UTC
Hi Médéric,

I don't have this issue.

Could you check in console if you have sql errors ?

Else, could you select one process and click on update to recreate it ?

Take me informed.

Stephane
Comment 2 Médéric Boquien 2009-09-30 23:54:10 UTC
Hi!

* No SQL error when trying to process the operations. No suspicious message in the terminal either.
* Updating it seems to fix the problem.

Regards,

Médéric
Comment 3 Stephane MANKOWSKI 2009-10-01 10:29:30 UTC
Thank you for your analysis.

Could you send me a copy of your file containing ONLY rules (you can remove all account) ?

I would like analyse why these rules have not been migrated as expected.
Comment 4 Stephane MANKOWSKI 2009-10-06 12:12:52 UTC
SVN commit 1031858 by smankowski:

BUG: 208939: "Search and process" does not work anymore 
BUG: 209610: Skrooge doesn not work if "Maximum undo depth" is 0 

 M  +2 -0      CHANGELOG  
 M  +14 -1     skgbankmodeler/skgdocumentbank.cpp  
 M  +32 -29    skgbasemodeler/skgdocument.cpp  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1031858